gi-cairo-1.0.30: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.ScaledFont

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ScaledFont = ScaledFont (ManagedPtr ScaledFont)

# Exported types

newtype ScaledFont Source #

Memory-managed wrapper type.

Constructors

ScaledFont (ManagedPtr ScaledFont) |

#### Instances

Instances details

Eq ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont Methods (==) :: ScaledFont -> ScaledFont -> Bool Source # (/=) :: ScaledFont -> ScaledFont -> Bool Source #
GBoxed ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont
ManagedPtrNewtype ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont Methods toManagedPtr :: ScaledFont -> ManagedPtr ScaledFont Source #
TypedObject ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont Methods glibType :: IO GType Source #
HasParentTypes ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont
IsGValue (Maybe ScaledFont) Source # | Convert `ScaledFont` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.ScaledFont Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ScaledFont -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ScaledFont) Source #
type ParentTypes ScaledFont Source # |
Instance details Defined in GI.Cairo.Structs.ScaledFont type ParentTypes ScaledFont = '[] :: [Type]

# Methods